Subject: bug#18545: 24.4.50: Bug - forward-line inside with-selected-window

From: Eli Zaretskii <[email-masked]>
Date: Sat, 27 Sep 2014 22:27:54 +0300

> Date: Sat, 27 Sep 2014 21:01:55 +0200
> From: martin rudalics <[email-masked]>
> CC: [email-masked], [email-masked]
> 
>  > I don't think this can explain it: forward-line works on the buffer,
>  > and the location of point is (or should be, see below) printed
>  > _before_ Emacs enters redisplay, as part of running the command that
>  > called forward-line.
> 
> This is a red herring.  The values I print can't be attributed to a
> specific "failing" instance of `forward-line'.  What you see is the
> readjusted value after scrolling was wrongly dismissed in the last
> round.  With `before' and `after' around the `forward-line' call I get:
> [...]
> before 117
> after 122
> before 117
> after 122
> [...]
> So `forward-line' always skips five characters but point gets reset
> later on.

But that means the code is doing exactly what it was intended to do:
move point back so that it is in view.  IOW, "notabug".  Right?